Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{id}
/
addons
/
activate
[Instances] Activate an addon for a compute instance
curl --request POST \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{id}/addons/activate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "addon_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "billing_cycle": "monthly"
}
'
{
  "order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "legacy_order_id": 123,
  "invoice_id": 123,
  "total": "<string>",
  "amount_due": "<string>",
  "credit_applied": "<string>",
  "status": "<string>",
  "invoice_payment_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

A UUID string identifying this Instance.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
addon_id
string<uuid>
required
billing_cycle
enum<string>
default:monthly
  • monthly - monthly
  • quarterly - quarterly
  • semi_annually - semi_annually
  • annually - annually
  • biennially - biennially
  • triennially - triennially
Available options:
monthly,
quarterly,
semi_annually,
annually,
biennially,
triennially

Response

Addon activation order created successfully

order_id
string<uuid> | null
required
legacy_order_id
integer
required
invoice_id
integer | null
required
total
string
required
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
amount_due
string
required
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
credit_applied
string
required
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
status
string
required
invoice_payment_url
string | null
required